Subject: Re: CCL:holes in molecular surface when using mds from QCPE

From: Richard Gillilan <[email-masked]>
Date: Fri, 09 Aug 2002 11:59:59 -0400

N
> When I convert the obtained the dots file into a displayable format I
> find large holes in the surface calculated. I had a look in the source
> code, but since I am mainly a perl and c++ programmer I couldn't find
> anything obvious.
> 
> Has anyone observed something similar ?
> 
>

This may be an error in covering the surface with 
polygons, but sounds more like another phenomenon
I know. If you are using a molecular surface of the type
based on rolling a probe sphere over the protein
(piecewise sphere and torus), then there
are cases where real holes exist (well they look 
like holes, but are not actually holes in the surface,
just pockets with atom-sized round entry holes).
Consider the case of two protein atoms separated far enough
apart that when you roll the probe sphere
in contact with both atoms, you actually get a 
self-intersecting torus. Similar thing can happen
with more than two protein atoms. Some programs
generate cusps, leaving out the interpenetrating 
part (the right choice I think). Some may offer the 
option of filling these in, or even put both surfaces. 
They look bad, but they are places that a water molecule 
might actually go. If you tweak the probe radius up a little, they may 
go away if you need a pretty picture. From the standpoint
of hydrophobicity, the cusps are rather important and can be
seen in full atomistic simulations with water and methane.

Richard Gillilan
MacCHESS
Cornell